libao documentation | libao version 0.8.5 - 20040312

# ao_plugin_set_option

declared in "ao/plugin.h";

Set a new option key-value pair for a device. This will only be called after ao_plugin_device_init() is called. Unrecognized option keys are silently ignored, but invalid option values will cause the function to return a failing error code.

    int ao_plugin_set_option(ao_device *device, const char *key, const char *value);

### Parameters

device
  Pointer to the device structure.
key
  A string holding the option key. The calling function retains ownership of this memory.
value
  A string holding the option value. The calling function retains ownership of this memory.

### Return Values

> - 1 indicates success.
> - 0 indicates failure. ao_plugin_device_clear() should be called to ensure the deallocate of all private data structures.

copyright © 2001-2003 Stan Seibert | xiph.org volsung@xiph.org
libao documentation | libao version 0.8.5 - 20040312